import com.bailuntec.domain.entity.JobPointLog;
import com.bailuntec.job.PurchaseDetailsServiceImpl;
import org.junit.jupiter.api.Test;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

public class SyncPurchaseTest {


    @Test
    public void test() {
        JobPointLog jobPointLog = new JobPointLog();
        jobPointLog.setType(3);
        jobPointLog.setStartTime(LocalDateTime.parse("2020-12-11 20:50:10", DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss")));
        jobPointLog.setEndTime(LocalDateTime.parse("2020-12-14 20:50:57", DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss")));
        jobPointLog.setPageSize(1000);
        jobPointLog.setPageIndex(1);
        jobPointLog.setIntervalTime(1);

        PurchaseDetailsServiceImpl.syncPurchaseDetails(jobPointLog);
    }
}
